# Upload API Client (Internal Edition)

**Client stubs for the Upload API.**

- An extended version of [`upload-api-client`](https://github.com/upload-io/upload-api-client).

- Includes all Upload API endpoints, in addition to internal endpoints intended for use by Upload applications only.

- Uses `fetch` (to support browser & Node.js, assuming polyfills).

## Updating the stubs

Instructions for Upload Team developers:

1.  Pull latest `upload-io/upload` (in a working dir called `upload` next to this repository's working dir).

2.  Run `npm run generate` in this repository.

3.  Follow `RELEASING.md` if there are changes.

## License

[MIT](LICENSE)
