import type { ApiKeyDescription } from "./ApiKeyDescription";
import type { FileName } from "./FileName";
import type { FileTagName } from "./FileTagName";
import type { FolderPath } from "./FolderPath";
import type { PathPermissionList } from "./PathPermissionList";
import type { TagPermissions } from "./TagPermissions";
export declare type ApiKeyDataValues = {
    automaticTags: Array<FileTagName>;
    defaultFileName: FileName;
    defaultFileNameOverridable: boolean;
    defaultFolder: FolderPath;
    defaultFolderOverridable: boolean;
    description: ApiKeyDescription;
    pathPermissions: PathPermissionList;
    requireJWT: boolean;
    tagPermissions: TagPermissions;
};
