import type { AccountId } from "./AccountId";
import type { FileTagList } from "./FileTagList";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { SizeInBytes } from "./SizeInBytes";
/**
 * File upload initialization request.
 */
export declare type BeginUploadRequestV1 = {
    accountId: AccountId;
    fileName?: OriginalFileName;
    fileSize: SizeInBytes;
    mime?: MimeType;
    tags: FileTagList;
};
