import type { AccountMemberRole } from "./AccountMemberRole";
import type { EmailAddress } from "./EmailAddress";
import type { EpochMillis } from "./EpochMillis";
import type { UserSummary } from "./UserSummary";
export declare type Invitation = {
    email: EmailAddress;
    expires: EpochMillis;
    role: AccountMemberRole;
    createdAt: EpochMillis;
    createdBy: UserSummary;
};
