import type { AwsAccessKey } from "./AwsAccessKey";
import type { AwsRegion } from "./AwsRegion";
import type { AwsSecretKey } from "./AwsSecretKey";
import type { S3BucketName } from "./S3BucketName";
import type { S3ObjectKey } from "./S3ObjectKey";
export declare type S3StorageLayer = {
    credentials: {
        secretKey: AwsSecretKey;
        accessKey: AwsAccessKey;
    };
    isAuthRequiredForDownloads: boolean;
    path: {
        useAbsolutePaths: boolean;
        region: AwsRegion;
        prefix: S3ObjectKey;
        bucket: S3BucketName;
    };
    type: "S3";
    useDirectRawFileDelivery: boolean;
    useTransferAcceleration: boolean;
};
