export declare type TemplatePrototypeVariable = {
    /**
     * Contains a JSON Path that references a field (or fields) from the template's "prototype variables" object.
     *
     * Supports all JSON Path functions, including 'concat'.
     *
     * See: 'Template.transformationVariables.schema'
     */
    ref: string;
};
