import type { MaxSeats } from "./MaxSeats";
import type { Milliseconds } from "./Milliseconds";
import type { SizeInBytes } from "./SizeInBytes";
import type { SizeInMegabytes } from "./SizeInMegabytes";
import type { UploadLimit } from "./UploadLimit";
export declare type AccountQuotasValues = {
    bandwidth: SizeInMegabytes;
    cpu: Milliseconds;
    maxFileSize: SizeInBytes;
    seats: MaxSeats;
    storage: SizeInBytes;
    uploads: UploadLimit;
};
