import type { CustomFileMetadata } from "./CustomFileMetadata";
import type { FilePathDefinition } from "./FilePathDefinition";
import type { FileTagName } from "./FileTagName";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { SizeInBytes } from "./SizeInBytes";
/**
 * File upload initialization request.
 */
export declare type BeginUploadRequestV2 = {
    filePath?: FilePathDefinition;
    metadata?: CustomFileMetadata;
    mime?: MimeType;
    originalFileName?: OriginalFileName;
    size: SizeInBytes;
    tags?: Array<FileTagName>;
};
