import type { FolderPath } from "./FolderPath";
export declare type DeleteFolder = {
    /**
     * Indicates whether to delete the folder from the underlying storage layer.
     *
     * If the storage layer is read-only (e.g. web folders) then this property is ignored.
     *
     * Default: true
     */
    deletePhysicalFolder?: boolean;
    folderPath: FolderPath;
};
