import type { EpochMillis } from "./EpochMillis";
import type { FilePath } from "./FilePath";
import type { HttpUrl } from "./HttpUrl";
import type { SizeInBytes } from "./SizeInBytes";
export declare type FileSummaryV2 = {
    lastModified: EpochMillis;
    path: FilePath;
    size: SizeInBytes;
    type: "File";
    url: HttpUrl;
};
