import type { DepartmentName } from "./DepartmentName";
import type { FilePath } from "./FilePath";
import type { FirstName } from "./FirstName";
import type { LastName } from "./LastName";
import type { OrganizationName } from "./OrganizationName";
/**
 * Basic information about the user and their organisation, settable on the 'settings' page.
 */
export declare type UserBasicInformation = {
    department?: DepartmentName;
    firstName: FirstName;
    lastName: LastName;
    organization?: OrganizationName;
    profilePictureFilePath?: FilePath;
};
