import type { NpmPackageName } from "../models/NpmPackageName";
import type { SemanticVersion } from "../models/SemanticVersion";
export declare class NpmService {
    /**
     * Gets all the versions for an NPM package
     * @param npmPackageName
     * @returns SemanticVersion Success.
     * @throws ApiError
     */
    static getPackageVersions(npmPackageName: NpmPackageName): Promise<Array<SemanticVersion>>;
}
