/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { CustomFileMetadata } from "./CustomFileMetadata";
import type { EpochMillis } from "./EpochMillis";
import type { FilePath } from "./FilePath";
import type { FileTagName } from "./FileTagName";
import type { HttpUrl } from "./HttpUrl";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { SizeInBytes } from "./SizeInBytes";

/**
 * From T, pick a set of properties whose keys are in the union K
 */
export type Pick_FileSummaryV2_Exclude_keyofFileSummaryV2_type__ = {
  metadata: CustomFileMetadata;
  mime: MimeType;
  originalFileName: OriginalFileName | null;
  tags: Array<FileTagName>;
  path: FilePath;
  lastModified: EpochMillis;
  size: SizeInBytes;
  url: HttpUrl;
};
